Package org.springframework.security.web.csrf

# Interface CsrfToken

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `DefaultCsrfToken`

public interface CsrfToken extends Serializable
Provides the information about an expected CSRF token.

Since:
  3.2
See Also:
  - `DefaultCsrfToken`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeaderName()`
Gets the HTTP header that the CSRF is populated on the response and can be placed on requests instead of the parameter.
`String`
`getParameterName()`
Gets the HTTP parameter name that should contain the token.
`String`
`getToken()`
Gets the token value.

## Method Details

### getHeaderName

String getHeaderName()
Gets the HTTP header that the CSRF is populated on the response and can be placed on requests instead of the parameter. Cannot be null.

Returns:
  the HTTP header that the CSRF is populated on the response and can be placed on requests instead of the parameter

### getParameterName

String getParameterName()
Gets the HTTP parameter name that should contain the token. Cannot be null.

Returns:
  the HTTP parameter name that should contain the token.

### getToken

String getToken()
Gets the token value. Cannot be null.

Returns:
  the token value